﻿using System;
using SortingFiltering.iOS;
using UIKit;

using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;


[assembly: ExportRenderer(typeof(NavigationPage), typeof(NavBarRenderer))]
namespace SortingFiltering.iOS
{
    public class NavBarRenderer : NavigationRenderer
    {

        public override void ViewWillLayoutSubviews()
        {
            base.ViewWillLayoutSubviews();
            
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();

            if (UIDevice.CurrentDevice.CheckSystemVersion(11, 0))
            {
                NavigationBar.PrefersLargeTitles = true;

                NavigationBar.LargeTitleTextAttributes = new UIStringAttributes
                {

                };
            }

        }
    }
}
