﻿using Syncfusion.ListView.XForms;
using Syncfusion.ListView.XForms.Control.Helpers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;

using Xamarin.Forms;

namespace SortingFiltering
{
	public class Behavior : Behavior<SfListView>
	{
        SfListView listView;
        VisualContainer container;

        protected override void OnAttachedTo(SfListView ListView)
        {
            listView = ListView;
            container = listView.GetVisualContainer();
            container.PropertyChanged += Container_PropertyChanged;

            base.OnAttachedTo(ListView);
        }
        private void Container_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            var extent = (double)container.GetType().GetRuntimeProperties().FirstOrDefault(container => container.Name == "TotalExtent").GetValue(container);
            listView.HeightRequest = extent;

        }
    }
}